/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */
package commande
{

	import commande.ICommande;

	/**
	 * @author Matthieu
	 * La commande pour éteindre une lampe.
	 * 
	 */
	public class LampeOff implements ICommande
	{
		private var oLampe:Lampe;// objet Lampe
		
		/**
		 * constructeur
		 */
		public function LampeOff(oValue:Lampe)
		{
			oLampe = oValue;	
		}

		/**
		 * Appui sur le bouton de la télécommande.
		 * 
		 */
		public function execute() : void
		{
			oLampe.arret();
		}


		/**
		 * Appui par l'utilisateur sur le bouton Annuler.
		 * 
		 */
		public function callBack() : void
		{
			oLampe.marche();
		}
	}
}
